# -*- encoding: utf-8 -*-
# stub: puppet_forge 2.2.2 ruby lib

Gem::Specification.new do |s|
  s.name = "puppet_forge"
  s.version = "2.2.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Puppet Labs"]
  s.date = "2016-07-28"
  s.description = "Tools that can be used to access Forge API information on Modules, Users, and Releases. As well as download, unpack, and install Releases to a directory."
  s.email = ["forge-team+api@puppetlabs.com"]
  s.files = ["CHANGELOG.md", "Gemfile", "LICENSE.txt", "MAINTAINERS", "README.md", "Rakefile", "lib/puppet_forge.rb", "lib/puppet_forge/connection.rb", "lib/puppet_forge/connection/connection_failure.rb", "lib/puppet_forge/error.rb", "lib/puppet_forge/lazy_accessors.rb", "lib/puppet_forge/lazy_relations.rb", "lib/puppet_forge/locales/config.yaml", "lib/puppet_forge/middleware/symbolify_json.rb", "lib/puppet_forge/tar.rb", "lib/puppet_forge/tar/mini.rb", "lib/puppet_forge/unpacker.rb", "lib/puppet_forge/v3.rb", "lib/puppet_forge/v3/base.rb", "lib/puppet_forge/v3/base/paginated_collection.rb", "lib/puppet_forge/v3/metadata.rb", "lib/puppet_forge/v3/module.rb", "lib/puppet_forge/v3/release.rb", "lib/puppet_forge/v3/user.rb", "lib/puppet_forge/version.rb", "locales/config.yaml", "puppet_forge.gemspec", "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.headers", "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.json", "spec/fixtures/v3/modules.headers", "spec/fixtures/v3/modules.json", "spec/fixtures/v3/modules/puppetlabs-apache.headers", "spec/fixtures/v3/modules/puppetlabs-apache.json", "spec/fixtures/v3/modules__owner=puppetlabs.headers", "spec/fixtures/v3/modules__owner=puppetlabs.json", "spec/fixtures/v3/modules__query=apache.headers", "spec/fixtures/v3/modules__query=apache.json", "spec/fixtures/v3/releases.headers", "spec/fixtures/v3/releases.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.json", "spec/fixtures/v3/releases__module=puppetlabs-apache.headers", "spec/fixtures/v3/releases__module=puppetlabs-apache.json", "spec/fixtures/v3/users/puppetlabs.headers", "spec/fixtures/v3/users/puppetlabs.json", "spec/integration/forge/v3/module_spec.rb", "spec/integration/forge/v3/release_spec.rb", "spec/integration/forge/v3/user_spec.rb", "spec/spec_helper.rb", "spec/unit/forge/connection/connection_failure_spec.rb", "spec/unit/forge/connection_spec.rb", "spec/unit/forge/lazy_accessors_spec.rb", "spec/unit/forge/lazy_relations_spec.rb", "spec/unit/forge/middleware/symbolify_json_spec.rb", "spec/unit/forge/tar/mini_spec.rb", "spec/unit/forge/tar_spec.rb", "spec/unit/forge/unpacker_spec.rb", "spec/unit/forge/v3/base/paginated_collection_spec.rb", "spec/unit/forge/v3/base_spec.rb", "spec/unit/forge/v3/metadata_spec.rb", "spec/unit/forge/v3/module_spec.rb", "spec/unit/forge/v3/release_spec.rb", "spec/unit/forge/v3/user_spec.rb"]
  s.homepage = "https://github.com/puppetlabs/forge-ruby"
  s.licenses = ["Apache-2.0"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.5.1"
  s.summary = "Access the Puppet Forge API from Ruby for resource information and to download releases."
  s.test_files = ["spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.headers", "spec/fixtures/v3/files/puppetlabs-apache-0.0.1.tar.gz.json", "spec/fixtures/v3/modules.headers", "spec/fixtures/v3/modules.json", "spec/fixtures/v3/modules/puppetlabs-apache.headers", "spec/fixtures/v3/modules/puppetlabs-apache.json", "spec/fixtures/v3/modules__owner=puppetlabs.headers", "spec/fixtures/v3/modules__owner=puppetlabs.json", "spec/fixtures/v3/modules__query=apache.headers", "spec/fixtures/v3/modules__query=apache.json", "spec/fixtures/v3/releases.headers", "spec/fixtures/v3/releases.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.1.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.2.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.3.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.0.4.json", "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.headers", "spec/fixtures/v3/releases/puppetlabs-apache-0.1.1.json", "spec/fixtures/v3/releases__module=puppetlabs-apache.headers", "spec/fixtures/v3/releases__module=puppetlabs-apache.json", "spec/fixtures/v3/users/puppetlabs.headers", "spec/fixtures/v3/users/puppetlabs.json", "spec/integration/forge/v3/module_spec.rb", "spec/integration/forge/v3/release_spec.rb", "spec/integration/forge/v3/user_spec.rb", "spec/spec_helper.rb", "spec/unit/forge/connection/connection_failure_spec.rb", "spec/unit/forge/connection_spec.rb", "spec/unit/forge/lazy_accessors_spec.rb", "spec/unit/forge/lazy_relations_spec.rb", "spec/unit/forge/middleware/symbolify_json_spec.rb", "spec/unit/forge/tar/mini_spec.rb", "spec/unit/forge/tar_spec.rb", "spec/unit/forge/unpacker_spec.rb", "spec/unit/forge/v3/base/paginated_collection_spec.rb", "spec/unit/forge/v3/base_spec.rb", "spec/unit/forge/v3/metadata_spec.rb", "spec/unit/forge/v3/module_spec.rb", "spec/unit/forge/v3/release_spec.rb", "spec/unit/forge/v3/user_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>, ["~> 0.9.0"])
      s.add_runtime_dependency(%q<faraday_middleware>, ["< 0.11.0", ">= 0.9.0"])
      s.add_runtime_dependency(%q<semantic_puppet>, ["~> 0.1.0"])
      s.add_runtime_dependency(%q<minitar>, [">= 0"])
      s.add_runtime_dependency(%q<gettext-setup>, [">= 0.3"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
      s.add_development_dependency(%q<cane>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<redcarpet>, [">= 0"])
      s.add_development_dependency(%q<pry-byebug>, [">= 0"])
    else
      s.add_dependency(%q<faraday>, ["~> 0.9.0"])
      s.add_dependency(%q<faraday_middleware>, ["< 0.11.0", ">= 0.9.0"])
      s.add_dependency(%q<semantic_puppet>, ["~> 0.1.0"])
      s.add_dependency(%q<minitar>, [">= 0"])
      s.add_dependency(%q<gettext-setup>, [">= 0.3"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
      s.add_dependency(%q<cane>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<redcarpet>, [">= 0"])
      s.add_dependency(%q<pry-byebug>, [">= 0"])
    end
  else
    s.add_dependency(%q<faraday>, ["~> 0.9.0"])
    s.add_dependency(%q<faraday_middleware>, ["< 0.11.0", ">= 0.9.0"])
    s.add_dependency(%q<semantic_puppet>, ["~> 0.1.0"])
    s.add_dependency(%q<minitar>, [">= 0"])
    s.add_dependency(%q<gettext-setup>, [">= 0.3"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
    s.add_dependency(%q<cane>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<redcarpet>, [">= 0"])
    s.add_dependency(%q<pry-byebug>, [">= 0"])
  end
end
